#include "naja.hh"
#include "lang/String.hh"
#include "util/StringTokenizer.hh"

PACKAGE_USE(najapiLang)
PACKAGE_USE(najapiUtil)

ostream& operator<<(ostream& s,NAJA<String>& n);

void testFct(NAJA<Object> obj) {
	cout << "plurp : " << *obj << endl;
}	

int main(int argc, char ** argv) {
	NAJA<String> str=new String("un test pour  test StringTokenizer   ");
	str=str + "tralala";
	cout << str << endl;
	NAJA<String> del(new String(" "));
	NAJA<StringTokenizer> st(new StringTokenizer(str,del));
	while (st->hasMoreTokens()) {
		NAJA<String> token=st->nextToken();
		cout << ":"<< token << endl;
	}
	testFct(*st);
	testFct(*str);
	return 0;
}	
